Bug 136845 - Add parsing for :nth-child(An+B of selector)
Summary: Add parsing for :nth-child(An+B of selector)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-15 19:52 PDT by Benjamin Poulain
Modified: 2016-01-12 14:48 PST (History)
2 users (show)

See Also:


Attachments
Patch (293.48 KB, patch)
2014-09-15 20:12 PDT, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2014-09-15 19:52:53 PDT
Add parsing for :nth-child(An+B of selector)
Comment 1 Benjamin Poulain 2014-09-15 20:12:05 PDT
Created attachment 238153 [details]
Patch
Comment 2 Antti Koivisto 2014-09-17 12:38:08 PDT
Comment on attachment 238153 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=238153&action=review

> Source/WebCore/css/CSSParserValues.cpp:294
> +    for (const CSSSelector* subSelector = selectorList->first(); subSelector; subSelector = CSSSelectorList::next(subSelector)) {

We should come up with iterators for this stuff :|
Comment 3 Benjamin Poulain 2014-09-17 13:37:45 PDT
Comment on attachment 238153 [details]
Patch

Clearing flags on attachment: 238153

Committed r173698: <http://trac.webkit.org/changeset/173698>
Comment 4 Benjamin Poulain 2014-09-17 13:37:48 PDT
All reviewed patches have been landed.  Closing bug.